<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroBPFDEC extends RegistroDIRF{

    private $_cpf;
    private $_nome;
    private $_dtMolestia;
    private $_idAlimentado;
    private $_idPrevidencia;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cpf);

        // Ordem 3
        $this->atribuiDadoDirf($this->_nome);

        // Ordem 4
        $this->atribuiDadoDirf($this->_dtMolestia);

        // Ordem 5
        $this->atribuiDadoDirf($this->_idAlimentado);

        // Ordem 6
        $this->atribuiDadoDirf($this->_idPrevidencia);
    }

    public function geraRegistroBPFDEC(){
        $this->_geraRegistro(parent::REGISTRO_BPFDEC);
    }

    public function setCpf($cpf){
        $this->_cpf = $cpf;
    }
    public function setNome($nome){
        $this->_nome = $nome;
    }
    public function setDtmolestia($dtMolestia){
        $this->_dtMolestia = $dtMolestia;
    }
    public function setIdalimentado($idAlimentado){
        $this->_idAlimentado = $idAlimentado;
    }
    public function setIdprevidencia($idPrevidencia){
        $this->_idPrevidencia = $idPrevidencia;
    }

}