<?php

namespace HCM\Geral\Repository;

use Doctrine\ORM\EntityManager;

class PerfilAcessoRepository {

    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function getMaxNrPerfilAcesso () {
        $sqlSelect = "SELECT MAX(NRPERFILACESSO) as MAXNRPERFILACESSO FROM PERFILACESSO";
        $bdData = $this->entityManager->getConnection()->fetchAll($sqlSelect);
        if (empty($bdData)) {
            return 1;
        }
        return $bdData[0]['MAXNRPERFILACESSO'];
    }

    public function deleteAssocietedRules (Array $nrPerfilAcesso, Array $params) {
        $perfisToDelete = implode(',', $nrPerfilAcesso);
        $sqlDeleteRules = "DELETE FROM ZHU_ACCESS_CONTROL_RULE WHERE GROUP_ID IN (".$perfisToDelete.")";
        return $this->entityManager->getConnection()->executeQuery($sqlDeleteRules, $params);
    }

    public function deleteAssocietedPerfAcessParc (Array $nrPerfilAcesso, Array $params) {
        $perfisToDelete = implode(',', $nrPerfilAcesso);
        $sqlDeletePerfParc = "DELETE FROM PERFACESSPARC WHERE NRPERFILACESSO IN (".$perfisToDelete.")";
        return $this->entityManager->getConnection()->executeQuery($sqlDeletePerfParc, $params);
    }

} 